Name: sweets-sugar-base
Version: 0.94.0
Epoch: 1
Release: 4.1
Group: Development/Tools/Other
Summary: Helpers for the development of services and activities
License: LGPLv2+
Url: http://git.sugarlabs.org/projects/sugar-base

Source: sugar-base-0.94.0.tar.gz
Source1: sweet.tar.gz



Requires: python-decorator
Requires: pygobject2 >= 2.15
Requires: pygtk2
BuildRequires: gcc
BuildRequires: gnome-common
BuildRequires: intltool >= 0.33
BuildRequires: libtool
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: pygobject2-devel >= 2.15
BuildRequires: pygtk2-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
Helpers for the development of services and activities

%prep
%setup -n sugar-base-0.94.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/sugar-base am_cv_python_pythondir=/opt/sweets/sugar-base am_cv_python_pyexecdir=/opt/sweets/sugar-base CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/sugar-base '' '' > sweets-sugar-base.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/sugar-base/sweets.recipe >> sweets-sugar-base.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/sugar-base '' '' >> sweets-sugar-base.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/sugar-base
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/sugar-base/pydirs)
echo /opt/sweets/sdk/sugar-base/pydirs >> sweets-sugar-base.files

%post
test -e /opt/sweets/sdk/sugar-base/pydirs && for i in `cat /opt/sweets/sdk/sugar-base/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/sugar-base/pydirs && for i in `cat /opt/sweets/sdk/sugar-base/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-sugar-base.files

%changelog
